package com.microservices.pms.project.mapper;

import com.microservices.pms.project.domain.PmsProjectTestsheet;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 测试单Mapper接口
 *
 * @author microservices
 * @date 2023-11-27
 */
@Mapper
public interface PmsProjectTestsheetMapper
{
    /**
     * 查询测试单
     * 
     * @param id 测试单主键
     * @return 测试单
     */
    public PmsProjectTestsheet selectPmsProjectTestsheetById(Long id);

    /**
     * 查询测试单列表
     * 
     * @param pmsProjectTestsheet 测试单
     * @return 测试单集合
     */
    public List<PmsProjectTestsheet> selectPmsProjectTestsheetList(PmsProjectTestsheet pmsProjectTestsheet);

    /**
     * 新增测试单
     * 
     * @param pmsProjectTestsheet 测试单
     * @return 结果
     */
    public int insertPmsProjectTestsheet(PmsProjectTestsheet pmsProjectTestsheet);

    /**
     * 修改测试单
     * 
     * @param pmsProjectTestsheet 测试单
     * @return 结果
     */
    public int updatePmsProjectTestsheet(PmsProjectTestsheet pmsProjectTestsheet);

    /**
     * 删除测试单
     * 
     * @param id 测试单主键
     * @return 结果
     */
    public int deletePmsProjectTestsheetById(Long id);

    /**
     * 批量删除测试单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePmsProjectTestsheetByIds(Long[] ids);

    List<PmsProjectTestsheet> selectPmsProjectTestsheetByIds(@Param("pmsProjectTestSheetIds") String pmsProjectTestSheetIds);

    int deletePmsProjectTestsheetByProjectId(@Param("projectId") Long projectId);
}
